#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-F0Nmel9YVmOLlSY8e4MZuz
key:                  lsp-1.6.0.0-F0Nmel9YVmOLlSY8e4MZuz
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  a1eb06d8e2b3cc96cce9e250ddef24fe
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-JkrHeUIMecV1GAWqy6Z0ks:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-JkrHeUIMecV1GAWqy6Z0ks:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-JkrHeUIMecV1GAWqy6Z0ks:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-F0Nmel9YVmOLlSY8e4MZuz
depends:
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs
    async-2.2.5-FKfvvqWRs5hKqVa0zqZISU
    attoparsec-0.14.4-3uzSp4DJeNe8DMv46inf7D base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-2jar4QQWBeQ2WFU5Y3FqE3
    containers-0.6.5.1 data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-Eh4n1fgdym83z63BlyWtti
    lens-5.2.3-BcbsjteKstPEavVOJbsbR8
    lsp-types-1.6.0.1-JkrHeUIMecV1GAWqy6Z0ks mtl-2.2.2
    prettyprinter-1.7.1-P4nIstiPm4DFD12od2xCI
    random-1.2.1.2-81vy8e6NCuX1qZ1DGAELzi
    sorted-list-0.2.2.0-HkHT0bRZRHnEpkI6zhHXXB stm-2.5.0.2
    temporary-1.3-5XhuUjYmR2kHM4vo07LOsu text-1.2.5.0
    text-rope-0.3-78tjK1vSrjs5cWsiVOBg3d transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-LlU8nq86YFE5MC7DkoTKas
    uuid-1.3.16-1X0H57CbANABVQyLFAvpMs

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

